clear all
close all

figure('Position',[0 0 1200 600])
data = importdata('All.txt');

Energy = data.data(:,1);
Aragonite = data.data(:,2);
Baddeleyite = data.data(:,3);
Calcite = data.data(:,4);
Coffinite = data.data(:,5);
Durango = data.data(:,6);
Fluorite = data.data(:,7);
Goethite = data.data(:,8);
Hematite = data.data(:,9);
Maghemite = data.data(:,10);
Magnetite = data.data(:,11);
Thorianite = data.data(:,12);
Thorite = data.data(:,13);
Titanite = data.data(:,14);
Uraninite = data.data(:,15);
Xenotime = data.data(:,16);
Zircon = data.data(:,17);

plot(Energy,Calcite,Energy,Durango,Energy,Titanite,Energy,Fluorite,Energy,Goethite,Energy,Maghemite,...
Energy,Magnetite,'LineStyle','-','LineWidth',1.5)

hold on

plot(Energy,Zircon,Energy,Xenotime,Energy,Baddeleyite,Energy,Thorite,Energy,Coffinite,Energy,...
Thorianite,Energy,Uraninite,'LineStyle','-.','LineWidth',1.5)

legend('Aragonite and Calcite','Durango Fluorapatite','Titanite','Fluorite','Goethite','Hematite and Maghemite',...
'Magnetite','Zircon','Xenotime-(Y)','Baddeleyite','Thorite','Coffinite',...
'Thorianite','Uraninite')
title('Stopping powers from SRIM for Materials of Geochemical Interest','FontSize',16,'FontWeight','Bold')
xlim([3 9])
xlabel('Energy (MeV)','FontSize',16,'FontWeight','Bold')
ylabel('Stopping Power (MeV/cm^2/mg)','FontSize',16,'FontWeight','Bold')
set(gca,'FontSize',14,'FontWeight','Bold')